set ANSI_NULLS OFF
set QUOTED_IDENTIFIER OFF
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[a_sel_equ_resumenEquipo]') AND type in (N'P', N'PC'))
DROP PROCEDURE [dbo].[a_sel_equ_resumenEquipo]
GO
CREATE PROCEDURE [dbo].[a_sel_equ_resumenEquipo]
	@p_idEquipo as int = 0
AS
BEGIN
DECLARE @fechaInicial as smalldatetime
DECLARE @tiempoMedioFallas as float
--consulta 1, Tiempo medio entre fallas
EXEC @tiempoMedioFallas = [dbo].[fun_tiempoMedioFallas] @p_idEquipo
SELECT  'Tiempo medio entre fallas (Horas)'  as descripcion, case when @tiempoMedioFallas <> null then @tiempoMedioFallas else 0 end as dato
--consulta 2, Tiempo Medio entre reparaciones
select 'Tiempo Medio entre reparaciones (Horas)' as descripcion ,case when (convert(float,(sum(datediff(mi, dis_evento_fechaHoraInicio_ff,dis_evento_duracion_hh))))) =  null or (convert(float,(count(id_evento)*60))) = 0 or (convert(float,(count(id_evento)*60))) = null then 0 else ((convert(float,(sum(datediff(mi, dis_evento_fechaHoraInicio_ff,dis_evento_duracion_hh)))))/(convert(float,(count(id_evento)*60)))) end as dato
from view_equ_trazabilidad
where id_documento > 0 and id_evento > 0 and id_equipo=@p_idEquipo and dis_evento_duracion_hh > '1/1/1900'
--consulta 3, Mantenibilidad mensual
select @fechaInicial=fechaPuestaMarcha_fh from equ_equipo where id = @p_idEquipo
select 'Mantenibilidad mensual' as descripcion,case when (convert(float,(sum(costo)))) = null or (convert(float, datediff(mm, @fechaInicial,getdate()))) = null or (convert(float, datediff(mm, @fechaInicial,getdate()))) = 0 then 0 else (convert(float,(sum(costo)))/(convert(float, datediff(mm, @fechaInicial,getdate())))) end  as dato
from view_doc_documento
inner join view_doc_documento_ot on view_doc_documento.id =view_doc_documento_ot.id
where view_doc_documento_ot.id_equipo= @p_idEquipo
--consulta 4, Mantenibilidad Acumulada
select 'Mantenibilidad Acumulada' as descripcion, case when (convert(float,(sum(view_doc_documento.costo)))) = null then 0 else convert(float,(sum(view_doc_documento.costo))) end  as dato
from view_doc_documento
inner join view_doc_documento_ot on view_doc_documento.id =view_doc_documento_ot.id
where view_doc_documento_ot.id_equipo= @p_idEquipo
--fin consultas
END